Name:		freeciv
Version:	2.5.7
Release:	%mkrel 1
Summary:	CIVilization clone
License:	GPLv2+
Group:		Games/Strategy
URL:		http://www.freeciv.org/
Source0:	http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1:	freeciv.server.wrapper
Patch0:         freeciv-fedora-client-fix-DSO.patch

BuildRequires:  curl-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	gtk+2-devel
BuildRequires:	lua5.2-devel
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel

%description
Freeciv is a multiplayer strategy game, released under the GNU General
Public License. It is generally comparable with Civilization II(r),
published by Microprose(r).

Default configuration uses the Civilization II(r) style Isometric view. If
you prefer classic Civilization(r) 2-d view, invoke the client with
"civclient --tiles trident".

%package	data
Group:		Games/Strategy
Summary:	FREE CIVilization clone - data files
Requires:	%{name}-server = %{version}
BuildArch:	noarch

%description	data
Freeciv is a multiplayer strategy game, released under the GNU General
Public License. It is generally comparable with Civilization II(r),
published by Microprose(r).

Default configuration uses the Civilization II(r) style Isometric view. If
you prefer classic Civilization(r) 2-d view, invoke the client with
"civclient --tiles trident".

%package        client
Group:          Games/Strategy
Summary:        FREE CIVilization clone - client
Provides:	%{name} = %{version}-%{release}
Requires:	%{name}-data = %{version}
Requires:	%{name}-server = %{version}

%description    client
This is the graphical client for freeciv

%package        server
Group:          Games/Strategy
Summary:        FREE CIVilization clone - server
Provides:	%{name} = %{version}-%{release}
Requires:	%{name}-data = %{version}

%description    server
This is the server for freeciv.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x \
    --bindir=%{_gamesbindir} \
    --datadir=%{_gamesdatadir} \
    --localedir=%{_datadir}/locale \
    --enable-client=gtk-2.0 \
    --enable-ipv6=yes \
    --enable-sys-lua=yes
%make

%install
%makeinstall_std

# wrapper
mv %{buildroot}%{_gamesbindir}/freeciv-server %{buildroot}%{_gamesbindir}/civserver.real
install -m 755 %{SOURCE1} %{buildroot}%{_gamesbindir}/freeciv-server

# fix icons locations
mv %{buildroot}%{_gamesdatadir}/icons %{buildroot}%{_datadir}/icons

%find_lang %{name}
%find_lang %{name}-nations


#remove unneeded
rm -f %{buildroot}%{_libdir}/{*.la,*.a}
# we don't provide those clients
rm -rf %{buildroot}%{_mandir}/man6/%{name}-{gtk3,qt,sdl,xaw}.6


%files -f %{name}.lang data -f %{name}-nations.lang
%doc AUTHORS doc/BUGS doc/HOWTOPLAY NEWS doc/README doc/README.AI doc/README.graphics doc/README.rulesets doc/README.sound doc/HACKING
%{_gamesdatadir}/%{name}

%files client
%{_gamesbindir}/%{name}-gtk2
%{_gamesbindir}/%{name}-manual
%{_gamesbindir}/%{name}-mp-gtk2
%doc %{_docdir}/%{name}
%{_mandir}/man6/%{name}-*.6*
%{_datadir}/applications/%{name}-gtk2.desktop
%{_datadir}/applications/%{name}-mp-gtk2.desktop
%{_datadir}/pixmaps/%{name}-client.png
%{_iconsdir}/hicolor/*/apps/%{name}-client.png
%{_iconsdir}/hicolor/*/apps/%{name}-modpack.png
%{_datadir}/appdata/%{name}-gtk2.appdata.xml
%{_datadir}/appdata/%{name}-mp-gtk2.appdata.xml
%{_sysconfdir}/%{name}/database.lua

%files server
%{_gamesbindir}/civserver.real
%{_gamesbindir}/%{name}-server
%{_mandir}/man6/%{name}-server.6*
%{_datadir}/applications/%{name}-server.desktop
%{_iconsdir}/hicolor/*/apps/%{name}-server.png
%{_datadir}/appdata/%{name}-server.appdata.xml


%changelog
* Sat May 20 2017 zezinho <zezinho> 2.5.7-1.mga6
+ Revision: 1103498
- new bugfix version 2.5.7

* Mon Dec 05 2016 akien <akien> 2.5.6-1.mga6
+ Revision: 1072671
- Version 2.5.6

* Sat Sep 24 2016 zezinho <zezinho> 2.5.5-1.mga6
+ Revision: 1055661
- new version 2.5.5

* Thu May 26 2016 akien <akien> 2.5.4-1.mga6
+ Revision: 1018635
- Version 2.5.4

* Sun Mar 06 2016 zezinho <zezinho> 2.5.3-1.mga6
+ Revision: 986831
- new version

* Fri Jan 22 2016 zezinho <zezinho> 2.5.2-1.mga6
+ Revision: 926580
- new version

* Wed Sep 09 2015 zezinho <zezinho> 2.5.1-1.mga6
+ Revision: 874701
- new version 2.5.1 - disable ggz as it is dead

* Tue Jan 13 2015 akien <akien> 2.4.4-2.mga5
+ Revision: 810513
- Remove man pages of clients we do not provide

* Tue Jan 13 2015 akien <akien> 2.4.4-1.mga5
+ Revision: 810359
- Build against system lua5.1
- Version 2.4.4

* Wed Oct 15 2014 umeabot <umeabot> 2.4.3-3.mga5
+ Revision: 742672
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.4.3-2.mga5
+ Revision: 679327
- Mageia 5 Mass Rebuild

* Mon Aug 25 2014 zezinho <zezinho> 2.4.3-1.mga5
+ Revision: 667319
- new bugfix version 2.4.3

* Wed Mar 12 2014 dams <dams> 2.4.2-2.mga5
+ Revision: 602668
- new version 2.4.2

* Wed Dec 11 2013 zezinho <zezinho> 2.4.1-1.mga4
+ Revision: 556340
- new version 2.4.1

* Sat Oct 19 2013 umeabot <umeabot> 2.4.0-2.mga4
+ Revision: 535077
- Mageia 4 Mass Rebuild

* Tue Sep 17 2013 zezinho <zezinho> 2.4.0-1.mga4
+ Revision: 480973
- add curl to BR
- new version 2.4.0

* Wed Mar 13 2013 zezinho <zezinho> 2.3.4-1.mga3
+ Revision: 402344
- new bugfix version

* Fri Jan 11 2013 umeabot <umeabot> 2.3.3-2.mga3
+ Revision: 350817
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 27 2012 zezinho <zezinho> 2.3.3-1.mga3
+ Revision: 335639
- man page added
- new version

* Tue Jun 12 2012 wally <wally> 2.3.2-2.mga3
+ Revision: 260112
- drop 'external' stdsounds as it's included by default in Freeciv 2.x
- clean .spec

* Tue May 29 2012 zezinho <zezinho> 2.3.2-1.mga3
+ Revision: 249479
- new version

* Sat Dec 03 2011 zezinho <zezinho> 2.3.1-1.mga2
+ Revision: 175705
- added freeciv-modpack desktop shortcut and icons
- new version

* Thu Sep 22 2011 zezinho <zezinho> 2.3.0-1.mga2
+ Revision: 146875
- new version 2.3

* Wed Mar 09 2011 eandry <eandry> 2.2.5-1.mga1
+ Revision: 66942
- New version 2.2.5
- enable ipv6

* Sun Feb 20 2011 eandry <eandry> 2.2.4-1.mga1
+ Revision: 54813
- New version 2.2.4
- imported package freeciv

